Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.exceloutput
Class ExcelOutputData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.exceloutput.ExcelOutputData

All Implemented Interfaces:
  StepDataInterface

    public class ExcelOutputData

extends BaseStepData
implements StepDataInterface

Since:
  7-sep-2006
Author:
  Matt

Field Summary
`int[]` | `fieldnrs`
`org.apache.commons.vfs.FileObject` | `file`
`Map<String,jxl.write.WritableCellFormat>` | `formats`
`jxl.write.WritableFont` | `headerFont`
`boolean` | `headerWrote`
`boolean` | `oneFileOpened`
`org.pentaho.di.core.row.RowMetaInterface` | `outputMeta`
`OutputStream` | `outputStream`
`int` | `positionX`
`int` | `positionY`
`org.pentaho.di.core.row.RowMetaInterface` | `previousMeta`
`String` | `realSheetname`
`jxl.write.WritableSheet` | `sheet`
`int` | `splitnr`
`int` | `templateColumns`
`jxl.write.WritableWorkbook` | `workbook`
`jxl.write.WritableCellFormat` | `writableCellFormat`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`ExcelOutputData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### splitnr

    public int splitnr

### previousMeta

    public org.pentaho.di.core.row.RowMetaInterface previousMeta

### outputMeta

    public org.pentaho.di.core.row.RowMetaInterface outputMeta

### fieldnrs

    public int[] fieldnrs

### workbook

    public jxl.write.WritableWorkbook workbook

### sheet

    public jxl.write.WritableSheet sheet

### templateColumns

    public int templateColumns

### writableCellFormat

    public jxl.write.WritableCellFormat writableCellFormat

### formats

    public Map<String,jxl.write.WritableCellFormat> formats

### positionX

    public int positionX

### positionY

    public int positionY

### headerFont

    public jxl.write.WritableFont headerFont

### outputStream

    public OutputStream outputStream

### file

    public org.apache.commons.vfs.FileObject file

### oneFileOpened

    public boolean oneFileOpened

### realSheetname

    public String realSheetname

### headerWrote

    public boolean headerWrote

Constructor Detail

### ExcelOutputData

    public ExcelOutputData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD